All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This interface provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.information.metadata
Interface PermissionExplainedInfoInterface

All Superinterfaces:
  PermissionInfoInterface, java.rmi.Remote

All Known Implementing Classes:
  PermissionInfo

    @SASScope(value="ALL")
    @BinaryCompatibilityOnly
    public interface PermissionExplainedInfoInterface

extends PermissionInfoInterface, java.rmi.Remote

Interface methods for explaining permission source info

An PermissionExplainedInfo instance represents ...

Field Summary

Fields inherited from interface com.sas.services.information.metadata.PermissionInfoInterface
`PERMISSION_ADMINISTER, PERMISSION_ALTERTABLE, PERMISSION_CHECKINMETADATA, PERMISSION_CREATE, PERMISSION_CREATETABLE, PERMISSION_DELETE, PERMISSION_DROPTABLE, PERMISSION_EXECUTE, PERMISSION_INSERT, PERMISSION_MANAGECREDENTIALSMETADATA, PERMISSION_MANAGEMEMBERMETADATA, PERMISSION_READ, PERMISSION_READMETADATA, PERMISSION_REFERENCES, PERMISSION_SELECT, PERMISSION_UPDATE, PERMISSION_WRITE, PERMISSION_WRITEMEMBERMETADATA, PERMISSION_WRITEMETADATA`

Method Summary
`abstract java.util.List<IndirectPermissionInfoInterface>` | `getIndirectPermissionInfo()` Returns one or more IndirectAuthorizationInfoInterface instances representing UserGroup membership(s), Permissions coming from an direct ACT on the object or via an Inheritance Parent, etc.

Methods inherited from interface com.sas.services.information.metadata.PermissionInfoInterface
`getPermission, getPermissionCondition, getPermissionSource, getPermissionType, setPermission, setPermissionCondition, setPermissionType`

Method Detail

### getIndirectPermissionInfo

    java.util.List<IndirectPermissionInfoInterface> getIndirectPermissionInfo()
                                                                              throws ServiceException,
                                                                                     java.rmi.RemoteException

  Returns one or more IndirectAuthorizationInfoInterface instances representing UserGroup membership(s), Permissions coming from an direct ACT on the object or via an Inheritance Parent, etc.

  Returns:
  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

*** This interface provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.